#1425 closed defect (fixed)

IMFS chmod invalid EPERM error returned

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 4.10
Component: fs Version: 4.10
Severity: normal Keywords:
Cc: nbkolchin@… Blocked By:
Blocking:

Description

The IMFS chmod returns EPERM if mode bits are set that are not (S_IRWXU | S_IRWXG | S_IRWXO). The SUS states for chmod and returned errors:

[EPERM]

The effective user ID does not match the owner of the
file and the process does not have appropriate privileges.

and so EPERM is returned for a case which does not match the definition. The bits which are not "file permission bits" as defined by the SUS should be ignored.

Change History (4)

comment:1 Changed on Jun 10, 2009 at 12:35:52 AM by Chris Johns

Owner: changed from Joel Sherrill to Chris Johns

comment:2 Changed on Sep 29, 2009 at 6:06:14 AM by Nickolay Semyonov-Kolchin

Cc: Nickolay Semyonov-Kolchin added

comment:3 Changed on May 14, 2010 at 3:48:25 AM by Chris Johns

Resolution: fixed
Status: newclosed

comment:4 Changed on May 14, 2010 at 3:49:51 AM by Chris Johns

Closed.

Note: See TracTickets for help on using tickets.